Bug 459126 - TSS testsuite showing errors and inconsistent results with TSS
TSS testsuite showing errors and inconsistent results with TSS
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: trousers (Show other bugs)
5.2
All Linux
medium Severity medium
: beta
: ---
Assigned To: Avesh Agarwal
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-14 11:44 EDT by Jon Wallace
Modified: 2013-04-12 15:50 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-20 12:36:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
TSS v1.2 first run error results (16.15 KB, text/plain)
2008-08-14 11:44 EDT, Jon Wallace
no flags Details

  None (edit)
Description Jon Wallace 2008-08-14 11:44:16 EDT
Created attachment 314328 [details]
TSS v1.2 first run error results

Description of problem:
We recently performed testing of HP TPM Hardware using trousers test software called the "testsuite" which can be downloaded via cvs from sourceforge at:
http://trousers.cvs.sourceforge.net/trousers/testsuite/

The testsuite runs 617 tests under TSS v1.1 and all hardware we have tested has provided consistent results, including seven unexplained failures.  The testsuite can be run sequentially any number of times and always produces the same results.  There are no negative effects on the TPM hardware after running v1.1 tests.

The testsuite runs 618 tests under TSS v1.2 and all hardware we have tested have provided consistent results for the first run (including 173 unexplained failures) and one segmentation fault.  Significantly, after the first run of the testsuite in v1.2 mode the TPM appears to be unusable (cannot be cleared for example except by resetting to factory defaults through BIOS) and any subsequent additional runs of the testsuite completes with signficantly different test results.

Version-Release number of selected component (if applicable):
RHEL 5.2
trousers-0.3.1-4.el5
trousers-devel-0.3.1-4.el5
tsstests.sh 1.10

How reproducible:


Steps to Reproduce:
1. Install RHEL5.2
2. Install trousers-0.3.1-4.el5
3. Install trousers-devel-0.3.1-4.el5
4. cvs -d:pserver:anonymous@trousers.cvs.sourceforge.net:/cvsroot/trousers 
co testsuite
5. Follow instructions in testsuite README file for compiling.
6. ./tsstests.sh -v 1.1  (to run TSS v1.1)
7. ./tsstests.sh -v 1.2  (to run TSS v1.2)
  
Actual results:
TSS v1.1 Test Results
---------------------------------------------
Tspi_TPM_CertifySelfTest01.c 0 FAIL : Tspi_TPM_CertifySelfTest01 returned (10) TPM_E_BAD_ORDINAL
Tspi_TPM_CertifySelfTest03.c 0 FAIL : Tspi_TPM_CertifySelfTest03 returned (10) TPM_E_BAD_ORDINAL
Tspi_TPM_DirRead01.c 0 FAIL : Tspi_TPM_DirRead01 returned (10) TPM_E_BAD_ORDINAL
Tspi_TPM_DirWrite01.c 0 FAIL : Tspi_TPM_DirWrite01 returned (10) TPM_E_BAD_ORDINAL
Tspi_TPM_GetPubEndorsementKey01.c 0 FAIL : Tspi_TPM_GetPubEndorsementKey01 returned (8) TPM_E_DISABLED_CMD
Tspi_TPM_SetStatus01.c 0 FAIL : Tspi_TPM_SetStatus01 returned (45) TPM_E_BAD_PRESENCE
Tspi_TPM_TakeOwnership02.c 0 FAIL : Tspi_TPM_GetPubEndorsementKey returned (8) TPM_E_DISABLED_CMD
Tspi_ChangeAuthAsym01.c 0 FAIL : Tspi_ChangeAuthAsym01 returned (12294) TSS_E_NOTIMPL
Tspi_ChangeAuthAsym02.c 0 FAIL : Tspi_ChangeAuthAsym02 returned (12294) TSS_E_NOTIMPL
Tspi_ChangeAuthAsym03.c 0 FAIL : Tspi_ChangeAuthAsym03 returned (12294) TSS_E_NOTIMPL
PASSED: 267
FAILED: 7 (NOTIMPL: 3)
NOT APPLICABLE: 340
SEGFAULTED: 0

-----------------------------------------------
TSS v1.2 Test Results
-----------------------------------------------
First Run:
PASSED: 441
FAILED: 173 (NOTIMPL: 0)
NOT APPLICABLE: 3
SEGFAULTED: 1

Second Run (retest immediately after first run is complete)
PASSED: 278
FAILED: 336 (NOTIMPL: 0)
NOT APPLICABLE: 3
SEGFAULTED: 0


Expected results:
We expected no errors to be reported when running the testsuite against both v1.1 and v1.2 TSS.

Additional info:
I've attached the test results from the TSS v1.2 first run which is probably the most important test results since it is after this that the TPM no longer works correctly.  I have other test results as well, but it looks like I can only attach one file here.  Let me know where I can send the other test results.
Comment 6 RHEL Product and Program Management 2013-03-20 12:36:56 EDT
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.